Skip to content
Start here

Submit an abuse report

abuse_reports.create(strreport_param, AbuseReportCreateParams**kwargs) -> AbuseReportCreateResponse
POST/accounts/{account_id}/abuse-reports/{report_param}

Submit the Abuse Report of a particular type

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
ParametersExpand Collapse
account_id: str
maxLength32
report_param: str

The report type for submitted reports.

act: Literal["abuse_dmca"]

The report type for submitted reports.

address1: str

Text not exceeding 100 characters. This field may be released by Cloudflare to third parties such as the Lumen Database (https://lumendatabase.org/).

maxLength100
minLength1
agent_name: str

The name of the copyright holder. Text not exceeding 60 characters. This field may be released by Cloudflare to third parties such as the Lumen Database (https://lumendatabase.org/).

maxLength60
minLength1
agree: Literal[1]

Can be 0 for false or 1 for true. Must be value: 1 for DMCA reports

city: str

Text not exceeding 255 characters. This field may be released by Cloudflare to third parties such as the Lumen Database (https://lumendatabase.org/).

maxLength255
minLength1
country: str

Text not exceeding 255 characters. This field may be released by Cloudflare to third parties such as the Lumen Database (https://lumendatabase.org/).

maxLength255
minLength1
email: str

A valid email of the abuse reporter. This field may be released by Cloudflare to third parties such as the Lumen Database (https://lumendatabase.org/).

email2: str

Should match the value provided in email

host_notification: Literal["send"]

Notification type based on the abuse type. NOTE: Copyright (DMCA) and Trademark reports cannot be anonymous.

name: str

Text not exceeding 255 characters. This field may be released by Cloudflare to third parties such as the Lumen Database (https://lumendatabase.org/).

maxLength255
minLength1
original_work: str

Text not exceeding 255 characters. This field may be released by Cloudflare to third parties such as the Lumen Database (https://lumendatabase.org/).

maxLength255
minLength1
owner_notification: Literal["send"]

Notification type based on the abuse type. NOTE: Copyright (DMCA) and Trademark reports cannot be anonymous.

signature: str

Required for DMCA reports, should be same as Name. An affirmation that all information in the report is true and accurate while agreeing to the policies of Cloudflare's abuse reports

state: str

Text not exceeding 255 characters. This field may be released by Cloudflare to third parties such as the Lumen Database (https://lumendatabase.org/).

maxLength255
minLength1
urls: str

A list of valid URLs separated by ā€˜\n’ (new line character). The list of the URLs should not exceed 250 URLs. All URLs should have the same hostname. Each URL should be unique. This field may be released by Cloudflare to third parties such as the Lumen Database (https://lumendatabase.org/).

comments: Optional[str]

Any additional comments about the infringement not exceeding 2000 characters

maxLength2000
minLength1
company: Optional[str]

Text not exceeding 100 characters. This field may be released by Cloudflare to third parties such as the Lumen Database (https://lumendatabase.org/).

maxLength100
minLength1
reported_country: Optional[str]

Text containing 2 characters

maxLength2
minLength2
reported_user_agent: Optional[str]

Text not exceeding 255 characters

maxLength255
minLength1
tele: Optional[str]

Text not exceeding 20 characters. This field may be released by Cloudflare to third parties such as the Lumen Database (https://lumendatabase.org/).

maxLength20
minLength1
title: Optional[str]

Text not exceeding 255 characters

maxLength255
minLength1
ReturnsExpand Collapse
str

The result should be 'success' for successful response

Submit an abuse report

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
abuse_report = client.abuse_reports.create(
    report_param="report_param",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    act="abuse_dmca",
    address1="x",
    agent_name="x",
    agree=1,
    city="x",
    country="x",
    email="email",
    email2="email2",
    host_notification="send",
    name="x",
    original_work="x",
    owner_notification="send",
    signature="signature",
    state="x",
    urls="urls",
)
print(abuse_report)
{
  "abuse_rand": "abuse_rand",
  "request": {
    "act": "act"
  },
  "result": "result"
}
Returns Examples
{
  "abuse_rand": "abuse_rand",
  "request": {
    "act": "act"
  },
  "result": "result"
}